
#ifndef FILE_PROVIDER_CONFIGURATOR_H_
#define FILE_PROVIDER_CONFIGURATOR_H_

#include <Base_Configurator.h>
#include <File_Archiver.h>

namespace inaf::oasbo::Archivers{
class FileArchiverConfigurator : public BaseConfigurator{

public:
	FileArchiverConfigurator(int argc, char **argv);
	FileArchiverConfigurator();

	void setDestination(std::string val){this->params["destination"] = val;}


	std::map<std::string,std::string> getParams(){return this->params;}
	std::string getDestination(){return this->params["destination"];}

	BaseArchiver * createArchiver();
	FileArchiver * createFileArchiver();
	void createFileArchiver(FileArchiver &);



	void printConfiguration(){
		std::string confStr = "File Archiver Configuration:\n" + this->toString();
		std::cout << confStr << std::endl;
	}

};
}
#endif
